Deep Learning to Assess Palm Tree - prepare_data problem

2863
34
11-12-2019 05:32 AM
Labels (2)
MichalRuš
New Contributor II

Hello,

this is my first post on this forum. I'm new to the concept of Deep Learning and I'm following the lesson "Use Deep Learning to Assess Palm Tree Health". I was able to follow this tutorial without a problem until I got stuck on prepare_data function with the following error:

prepare_data function error message

So I followed the suggestion and tried to install those packages again with the following result:

conda installation result

However that did not help. So I tried to install the latest versions of those packages as following:

That did not help either. So now I'm asking what am I doing wrong ?

My PC specs:

CPU: AMD Ryzen Threadripper 1950X

GPU: NVIDIA GTX 1080 Ti with latest drivers

OS: Win 10 64bit

Latest NVIDIA CUDA Toolkit and cuDNN package installed.

I use ArcGIS Pro 2.4.2 trial

I haven't tested the Deep Learning tools in ArcGIS Pro yet. I suppose I have all necessary HW and SW installed to run either Pytorch or TensorFlow on my GPU but I don't want to do this before this problem is solved. Any possible testing would not make sense anyway without solving this issue. Anyone else got this problem ?

Thanks !

deep_learning #palm_trees prepare_data

34 Replies
Alexander_Woolcock
New Contributor II

I am stuck on exactly the same stage. I have tried updating the relevant packages, but still no luck. Is there any advice from the ESRI department on how to solve this problem? 

George_Thompson
Esri Frequent Contributor

Esri TrainingLearn ArcGIS

--- George T.
0 Kudos
Alexander_Woolcock
New Contributor II

Im not quite sure if you're suggesting that I look at either of these sites? If so, due to the licence agreement with the university I am working at, I do to have access to any of the training videos. Any anyhow I can't find any that relate to Jupiter coding. Any specific advice would be greatly appreciated. 

Thanks 

0 Kudos
YongyaoJiang1
New Contributor II

I am guessing you are using Python API 1.7.0. This new release requires fastai=1.0.54 and pytorch=1.1.0 and it is different from Python API 1.6 which is the version the learn lesson used. 

Could you please try creating a clean environment and running the following command to see if it solves the problem? 

conda install -c fastai -c pytorch fastai=1.0.54 pytorch=1.1.0 torchvision

0 Kudos
MichalRuš
New Contributor II

How do I know what Python API am I using in ArcGIS ? I have Python 3.6.9 installed in ArcGIS.

I have done conda install -c fastai -c pytorch fastai=1.0.54 pytorch=1.1.0 torchvision command multiple times, it's all installed correctly. Yet no progress with the error code:

ERROR 002667 Unable to load the specified python raster function module.
ImportError: numpy.core.multiarray failed to import

0 Kudos
Alexander_Woolcock
New Contributor II

When trying to download the newer updates in Python I'm getting this warning. 

Could that be why the corresponding section in Jupiter isn't working? If so how can I fix the section in python? 

0 Kudos
AerovironmentUsers
New Contributor

Does is matter if the cloned env is located under C:\users\... - rather than C:\Program Files\... ??

After installing the DL package dependencies (fastai 1.0.54, pytorch 1.1.0, torchvision for arcgis 1.7.0) I am still getting this error:

0 Kudos
YongyaoJiang1
New Contributor II

 `conda list arcgis` will give you the Python API version. Also, make sure you restart the Python kernel or Jupyter notebook after the installation.

If it still doesn't work, could you please post your Python API version and a screenshot of the error code along with the code causing it?

Alexander_Woolcock
New Contributor II

This is my ArcGIS and Python API version version is that the right one or do I need to update?

and these are the errors I'm getting 

0 Kudos